# vim: set ts=4 sw=4 et:

Name:           yamdi
Version:        1.8
Release:        0.pm.1.1
Summary:        Metadata Injector for FLV Files
Source:         http://prdownloads.sourceforge.net/yamdi/yamdi-%{version}.tar.gz
URL:            http://yamdi.sourceforge.net/
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        BSD License (revised)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gcc make glibc-devel

%description
yamdi stands for Yet Another MetaData Injector and is a metadata injector
for FLV files. It adds the onMetaData event to your FLV files. It uses little
memory, is fast, and can handle big files (over 1 GB).

%prep
%setup -q

%build
%__make %{?jobs:-j%{jobs}} \
    CFLAGS="%{optflags} -Wall" \
    CC="%__cc"

%install
%__install -D -m0755 yamdi "%{buildroot}%{_bindir}/yamdi"
%__install -D -m0644 man1/yamdi.1 "%{buildroot}%{_mandir}/man1/yamdi.1"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{_bindir}/yamdi
%doc %{_mandir}/man1/yamdi.1%{ext_man}

%changelog
* Sun Feb 27 2011 pascal.bleser@opensuse.org
- update to 1.8:
  * the input file can now be replaced with the resulting output file with the
  - w option: this mimics the inplace modification of the input file
  * if the input file contains only audio data, then the option -a [interval]
    adds fake keyframes to the metadata
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- update to 1.7:
  * an off-by-one bug while indexing an FLV file that lead to occasional crashes has been fixed
- changes from 1.6:
  * large files (bigger than 2GB) are now supported
  * another bug in parsing the width and height of VP6 videos has been fixed
  * new command line options are -k to add the onLastKeyframe event, -M to strip all metadata, and -X to omit the keyframes tag in the XML output
  * the -l option has been renamed to -s
* Mon Apr  5 2010 pascal@links2linux.de
- update to 1.5:
  * AVC/H.264 video inside the FLV is now supported
  * it is possible to take the input file from stdin
  * fixes a segfault on empty input files
  * fixes the height of VP62 videos sometimes being zero
- changes from 1.4:
  * fixed the onLastSecond FLVTag not having a valid timestamp
* Sun Apr 27 2008 guru@unixtech.be
- new package (1.3)
